= Version 3.0.2 Sunday, Nov 13th, 2022 =
 * NOTE: Tested with WordPress Version 6.1
 * COMING SOON: We are almost done with major version release 4.0. This will include a complete overhaul of the framework and interface to simplify the Feed Them Social experience.
   Version 4.0 release will require all paid extensions to be updated to work with the new framework of the free plugin.

= Version 3.0.1 Wednesday, July 20th, 2022 =
 * FIX: Facebook Options Page: notice if $test_fb_app_token_response->error was empty.
 * FIX: XSS Vulnerability: fts_fb_page_token_func, fts_instagram_token_ajax, feed_them_instagram_save_token
 * FIX: Remove unnecessary/redundant nonce checks.

= Version 2.9.9 Tuesday, July 12th, 2022 =
 * FIX: Sanitize output of access_token from fts_refresh_token_ajax function.

= Version 2.9.8.6 Monday, July 11th, 2022 =
 * FIX: Facebook Feed: Share option was throwing invalid APP ID error.
 * FIX: XSS Vulnerability: Instagram Refresh Token.
 * FIX: Phar Vulnerability: Twitter Share url check.

= Version 2.9.8.5 Saturday, May 28th, 2022 =
 * FIX: Combined Streams: Twitter User Name not linking properly.
 * NOTE: Tested with WordPress Version 6.0

= Version 2.9.8.4 Saturday, April 23rd, 2022 =
 * FIX: Facebook & Instagram Options Page: Access Token: If the users Facebook Business Page was converted to the New Page Experience a list of Pages would not return. New error message if response still fails.

= Version 2.9.8.2-3 Friday, April 22nd, 2022 =
 * FIX: Instagram Basic Feed: If access token on options page did not match the one in shortcode the feed would not display properly.
 * FIX: Instagram Business Feed: Profile info above feed.
 * PREMIUM FIX: Instagram Business Feed: User thumbnail not appearing in popup.

= Version 2.9.8.10 Friday, April 15th, 2022 =
  * NEW: Instagram Basic Feed: Access Token. As long as an Instagram User does not change their password then the Instagram Basic token will automatically refresh after 7 days. This will resolve a long standing issue where users would have to get a new token every 60 days. This option will only work if the access token is not in the shortcode. FTS 3.0 will be released soon and the process to create a feed will be amazingly simple and will address the access token in shortcode.
  * NEW: Instagram and YouTube Feeds: Even if token fails and the cache is deleted the feed will still be visible.
  * NEW: YouTube Options: Access Token Refresh.
  * FIX: YouTube: Access Token Refresh.
  * FIX: Misc Styles and general options text.
  * FIX: Twitter options: Remove the create your own Twitter Keys options. Twitter APPs must now be approved and the process is not so simple. It's better to use the Access Token Option for a quicker setup.
  * FIX: Premium: All Feeds: Depreciated jQuery call for .bind(), now .off(). This caused issue with autoscroll loadmore option on YouTube Specifically.
  * NOTE: Tested with WordPress Version 5.9.3

= Version 2.9.8 Thursday, March 17th, 2022 =
  * NEW: All feeds are now encrypted before saving cache to the database. Just another way we are safeguarding your personal data.
  * NEW: Facebook and Instagram Access Tokens are being encrypted before saving to the database. YouTube & Twitter will be updated in 3.0.
  * FIX: YouTube Options: Error response for API Tokens.
  * FIX: YouTube Feed caching.
  * NOTE: Tested with WordPress Version 5.9.2

= Version 2.9.7.1 Monday, January 31st, 2022 =
  * NOTE: Tested with WordPress Version 5.9

= Version 2.9.7 Tuesday, December 14th, 2021 =
  * FIX: Facebook & Instagram Options: Problem getting access token if you were running the New Page Experience.
  * NEW: Facebook & Instagram Options: Revised description text for users to make it more clear what permissions we are requesting.

= Version 2.9.6.5 Thursday, October 14th, 2021 =
  * NEW: [Twitter Feed](https://feedthemsocial.com/twitter-feed-demo/): Brand New Styles. Images from externally shared posts now appear and retweeted text also now appears along with images or videos if present.
  * PREMIUM NEW: [Twitter Feed Grid](https://feedthemsocial.com/twitter-feed-grid-demo/): The grid format now has all the new styles and additions as the regular feed.

= Version 2.9.6.4 Saturday, September 25th, 2021 =
  * NOTE: Tested with WordPress Version 5.8.1

= Version 2.9.6.3 Tuesday, July 20th, 2021 =
  * FIX: FACEBOOK FEED: Profile, Cover photo and Address change posts have been removed from displaying in the feed.
  * PREMIUM FIX: TWITTER FEED: remove _blank target when using the popup option.
  * FB REVIEWS FIX: Admins added to Facebook Pages can now retrieve a working access token.
  * NOTE: Added notation about upcoming update to 3.0

= Version 2.9.6.2 Wednesday, June 9th, 2021 =
  * FIX: INSTAGRAM FEED: Remove blank spaces on hrefs causing issues with URLs
  * PREMIUM FIX: FACEBOOK VIDEOS FEED: Some videos when clicked on were loading an image in the popup instead of the video and some video thumbnails were blurry.

= Version 2.9.6.1 Friday, May 21st, 2021 =
  * FIX: FACEBOOK ALBUMS FEED: The View on Facebook link was not going to the album.
  * PREMIUM NEW: FACEBOOK ALBUMS FEED: Additional album photos in the popup go to its respective image on Facebook now instead of the main album page.
  * PREMIUM NEW: FACEBOOK FEEDS: The X (close) button is now on the inside, top right, of the popup on smaller devices.

= Version 2.9.6 Friday, May 7th, 2021 =
  * FIX: FACEBOOK FEED: 3.2 API depreciation

= Version 2.9.5 Monday, April 12th, 2021 =
  * FIX: PHP 8.0 compatible.

= Version 2.9.4 Tuesday, March 9th, 2021 =
   * FIX: FACEBOOK FEED: Change .load(function()... call to .on('load', function(). Thanks to @thewebtailors for the fix.
   * PREMIUM FIX: FACEBOOK FEED: Stray closing a tag for the profile photo when setting show_media=top Thanks to @thewebtailors for the fix.. Also change profile pic call from plugin_dir_url( dirname( __FILE__ ) ) to plugin_dir_url( __DIR__ )

= Version 2.9.3 Wednesday, January 27th, 2021 =
  * FIX: INSTAGRAM & FACEBOOK OPTIONS PAGE: #100 error was returning on tokens even though they were valid. FB changed the error text which resulted in the error message showing up instead of the success message.
  * FIX: GLOBAL OPTIONS: Date Time was not working proper for Instagram if you chose something other than the 'One Day Ago' option. The text Minute or Minutes was not returning either for the 'One Day Ago' option.
  * PREMIUM NEW: INSTAGRAM HASHTAG FEED: Timestamp is now added to media.
  * PREMIUM FIX: INSTAGRAM HASHTAG FEED: Better caching.
  * PREMIUM FIX: INSTAGRAM HASHTAG FEED: Video image was not displaying correctly.

= Version 2.9.2 Wednesday, January 6th, 2021 =
  * NOTE: Pinterest Feed: Removed options until Pinterest starts approving apps for the new API.
  * NEW: A feed-them-social.pot file is in the languages folder of our plugin along with our latest translatable strings.
  * FIX: FACEBOOK, INSTAGRAM & YOUTUBE OPTIONS PAGE: access_token in the url was causing some websites to return a "The link you followed has expired" message making it impossible to get an access token.

= Version 2.9.1 Wednesday, December 9th, 2020 =
  * NOTE: Pinterest Feed: We will be removing this feed and options page on our next update temporarily until they get the API complete.
  * TESTED: Tested plugin with WordPress version 5.6.0.

= Version 2.9.0 Thursday, October 29th, 2020 =
  * FIX: INSTAGRAM FEED: Missing images for videos.
  * PREMIUM FIX: INSTAGRAM FEED: Pop for images.
  * PREMIUM FIX COMING: INSTAGRAM HASHTAG FEED: Images for Videos are missing.

= Version 2.8.9 Friday, September 18th, 2020 =
  * FIX: FACEBOOK & INSTAGRAM OPTIONS PAGE: missing pages_read_engagement scope so non admins of our APP can gain access to pages they manage.

= Version 2.8.8 Thursday, September 17th, 2020 =
  * TESTED: Tested plugin with WordPress version 5.5.1.
  * FIX: Use WP_PLUGIN_DIR instead of WP_CONTENT_DIR to prevent fatal errors. Thanks to [stodorovic](https://github.com/stodorovic) for making the Pull Request on github.
  * FIX: FACEBOOK & INSTAGRAM OPTIONS PAGE: manage_pages permission is deprecated in favor of pages_show_list. This is required when going through the login flow allowing you to choose the facebook business pages you are an admin of that you want to get an access token for.

= Version 2.8.7 Tuesday, August 25th, 2020 =
  * TESTED: Tested plugin with WordPress version 5.5.0.
  * FIX: Security Fixes.

= Version 2.8.6 Thursday, July 23rd, 2020 =
  * NEW: Facebook Feed: All target="_blank" a tag elements now have rel="noreferrer" for better SEO results.
  * NEW: Facebook Options: Option to change the main page title htag (h1-h6) and font size.
  * REMOVE: G+ from the share options since the Google Plus social network has been shutdown.
  * REMOVE: Facebook Albums Feed: Date the Album was created.
  * PREMIUM NEW: Facebook Albums: Now you can see 25 photos per album using the popup option. On the 25th photo a link will appear to see the rest of the Album on Facebook.
  * PREMIUM FIX: Facebook Photo & Album Feed: The popup description was missing link and tag conversions to clickable links.
  * PREMIUM FIX: Add h6 in the list of tags to avoid appending the ellipsis. This works when using the words=45 shortcode option.
  * FACEBOOK REVIEWS FIX: If no profile photo set on Facebook use our default fts icon so the profile image does not appear broken.

= Version 2.8.5 Friday, June 26th, 2020 =
  * NEW: Works with WordPress 5.4.2
  * FTS BAR EXTENSION NEW: Instagram: Now includes, Basic, Business and Hashtag Feed options.
  * FTS BAR EXTENSION NEW: Option to display FTS bar on a specific page ID.

= Version 2.8.4 Friday, June 19th, 2020 =
  * FIX: Custom CSS Option: Replace wp_enqueue_scripts with wp_print_styles.
  * FIX: Facebook Albums Feed: The main photos are now appearing for album feeds again.
  * FIX: Facebook Feed: php Warning for 'host': Add check for FB link to make sure it exists.
  * FIX: Instagram Feed: Accessibility additions for links, titles, and fixed multiple ids issue.

= Version 2.8.3.4 Thursday, June 4th, 2020 =
  * FIX: Facebook Options: The access token button was not returning pages a user had linked to instagram.

= Version 2.8.3.3 Tuesday, April 28th, 2020 =
  * DISABLED: Pinterest Feed: Without notice or warning the Pinterest API has become unavailable. Once the API is available to us again we will make an update to correct the issue. For the time being we are going to disable the access token button.
  * NEW: System Info: Added Instagram Basic and Business token checks to aid in support.

= Version 2.8.3.2 Wednesday, April 8th, 2020 =
  * FIXED: Instagram Feed: Profile info options not showing on the Settings page shortcode generator, follow button was not displaying and misspelling of Instagram name on legacy API error message.

= Version 2.8.3.1 Monday, March 30th, 2020 =
  * NOTICE: Instagram Feed: The Legacy API will be depreciated as of March 31st, 2020 in favor of the new Instagram Graph API and the Instagram Basic Display API. Please click the the button on the instagram Options page of our plugin to reconnect your account. You must also generate a new shortcode and replace your existing one.

= Version 2.8.2 Friday, January 17th, 2020 =
  * FIXED: Instagram Options & Feed: Premium feature was visible and not working properly. Please upgrade to the premium or combined streams extension to use the hashtag feed.

= Version 2.8.1 Wednesday, January 15th, 2020 =
  * FIXED: Instagram Options: The button for hashtag feed was not functioning properly.

= Version 2.8.0 Friday, January 10th, 2020 =
  * NEW: Instagram Feed: Video posts now have a video icon indicating it's a video post and also a carousel icon for posts containing more than one image and now those images are also displayed in the popup if you have the premium version.
  * NEW: Twitter Feed: Add a title tag with the date on the post date link.
  * BACK AGAIN: Happy New Year Everyone! If you are a premium user we have good news for you. The Instagram Hashtag feed is back :) You can show the latest or most popular pics and videos tagged with whatever hashtag you add to the shortcode. If you are not using the premium version, well you have just one more thing to look forward to if you upgrade at some point.
  * PLUGIN NOTICE: In a few months from now we will be releasing a new version of Feed Them Social that will contain a custom post type instead of a shortcode with all the options in it. This will allow you to make option changes in a flash, and this will also allow you to have more than one feed of ALL the social networks we offer in this plugin. This major overhaul will be in the free version too so existing free users will gain these additions.

= Version 2.7.9 Saturday, December 28th, 2019 =
  * UPDATED: Updated Readme to better reflect abilities of plugin.

= Version 2.7.8 Monday, November 18th, 2019 =
  * TESTED: Tested plugin with WordPress version 5.3.0.

= Version 2.7.7.1 - 2.7.7.2 Monday, November 11th, 2019 =
  * ADD: New Support Manager Chris to .org so he can help with support on the forum.

= Version 2.7.7 Thursday, November 7th, 2019 =
  * HAPPY BIRTHDAY TO SPENCER! :)
  * FIX: Instagram Feed: Multiple feeds problem.

= Version 2.7.6.2 Thursday, October 31th, 2019 =
  * HAPPY HOLLOWEEN!
  * FIX: Facebook Options: Issue with Instagram Pages getting included in the return.
  * FIX: Twitter Feed: Now the Date has a title so it is accessible.
  * FIX: All Feeds: Now the share links are accessible.

= Version 2.7.6.1 Wednesday, October 30th, 2019 =
  * FIX: Settings: Missing js that would add px to the input field.
  * FIX: Pinterest: Creator permission was removed by Pinterest on October 25th, 2019. We were not notified of this change however we have corrected the issue.

= Version 2.7.6 Tuesday, October 29th, 2019 =
  * FIX: Facebook Feed & YouTube Feed: Now we have a permanent caching system if the access token fails or reaches the API limit.

= Version 2.7.4 - 2.7.5 Friday, September 20th, 2019 =
   * CHANGE: Remove the words Facebook and Instagram from the name of our plugin as we have been served to change it.

= Version 2.7.3 Thursday, August 8th, 2019 =
   * FIX: Instagram Options: Button not working to get access token because of depreciated API call. public_content does not work anymore for scope, basic was required instead.

= Version 2.7.1 - 2.7.2 Monday, July 16th, 2019 =
   * ADD: Twitter Error messages only show for Logged in Admins now.
   * FIX: Twitter Access Tokens Error message and check.
   * FIX: Twitter Access Tokens now save on Option Page in the admin automatically when returned from Twitter Authorization page instead of having to click the "Save" button after return. This prevents confusion with Access token check.

= Version 2.7.0 Thursday, July 11th, 2019 =
   * REMOVE: Remove Twitter Feed default options. This change will break all users trying to use Feed Them Socials past default tokens which are no longer available. You must retrieve your own tokens for the plugin to work.
   * ADD: Message to Twitter options if no token is set.
   * FIX: date_default_timezone_set to be set and not change other plugins set time.

= Version 2.6.9 Wednesday, May 17th, 2019 =
   * FIX: Twitter Feed: Fixed links with underscores to work proper, such as; #my_hashtag or @my_name.
   * FIX: Feeds Stylesheet: CSS value errors. Thanks to [@malae](https://wordpress.org/support/topic/errors-in-feeds-css-styles-cssver2-6-8/#post-11543949) for pointing out these errors.
   * PREMIUM FIX: Facebook Videos Feed: Removed shares from the edge for the API call. Shares has been depreciated and was making video feeds fail to load properly.

= Version 2.6.8 Wednesday, April 3rd, 2019 =
   * FIX: Instagram Options page: Button to get an access token if your browser was not in english would fail. We have added hl=en to the url now to address this issue. We are aware this will force the authorization box to be in english but until Instagram fixes this issue it is the only work around.

= Version 2.6.7 Wednesday, March 13th, 2019 =
   * FIX: Pinterest Feed: Add alt tag to img elements.
   * FIX: Facebook & Twitter Feed: Links with underscores, @mentions_withUnderscore, #mentions_withUnderscore now are complete links.
   * FIX: YouTube Options Page: Show share button not saving correctly.
   * FIX: Instagram Options Page: Access Token not returning proper if user was not logged into Instagram account first.
   * COMBINED STREAMS FIX: When using the words= shortcode option: Links with underscores, @mentions_withUnderscore, #mentions_withUnderscore and links getting cut off and showing html.
   * PREMIUM FIX: Facebook Feed: Fix loadmore problem with photo albums, album covers and videos.
   * PREMIUM FIX: Instagram Feed: If using word=45 and it gets to an html element in the description the html element would be broken and show the html in description.

= Version 2.6.6 Friday, March 1st, 2019 =
   * NEW: System Info: curl_multi_select and json check added.
   * NEW: Facebook Feed: Make Extra Image Attachment Elements Accessible. Thanks to [KZeni](https://github.com/KZeni) for contributing.
   * FIX: Facebook Feed: If we are unable to get the commenter's profile photo for privacy reasons we then load the default comment image now included in the plugin. This will greatly reduce errors in our APP and speed up load time.
   * FIX: Facebook Settings: Add check for languages drop down because it requires json to make the calls and some servers do not have the json php extension.
   * FIX: Twitter Feed: Retweet videos not coming up.
   * FIX: Settings Page: The select social network option was unusable on some Windows machines. Thanks to [Thomas](https://github.com/SlickRemix/feed-them-social/issues/63) for helping us fix this problem.
   * MISC FIX: Translatable strings, misspellings etc and CSS for Settings page feed select option.

= Version 2.6.5 Monday, February 18th, 2018 =
   * FIX: Facebook Feed: php warning: unset call for $post_data->attachments->data[0]->type
   * FB REVIEWS EXTENSION: Profile photos of reviewers visible again (recent changes to the API was why the images disappeared).
   * NOTE TO PREMIUM USERS: The profile and or name for comments in the popup cannot be retrieved at this time do to privacy changes with Facebook. If the user has there profile public the profile and username will appear.

= Version 2.6.4 Thursday, February 7th, 2018 =
   * FIX: Instagram Feed: Feed not displaying correctly.

= Version 2.6.3.1 Wednesday, February 6th, 2018 =
   * FIX: All Facebook & Instagram Feeds: Remove the access_token= option in the shortcode. Unfortunately this is a security risk to your access token if our plugin is not active. This means if you had multiple feeds using different access tokens those feeds will not work anymore. We are working on creating a custom post type for the feeds so you will be able to do this but for now we need to remove the option. Very sorry for the any inconveniences this may cause you, but rest assured we will be back with an even easier method using the custom post type.

= Version 2.6.2 Saturday, December 15th, 2018 =
   * FIX: Instagram Feed: Incorrect CSS for Videos.

= Version 2.6.1 Saturday, December 15th, 2018 =
   * NEW: Instagram Options: After clicking the button to get an access token the information will now automatically save to the database.
   * FIX: Instagram Options: Incorrect call to check error status.

= Version 2.6.0 Tuesday, December 4th, 2018 =
   * FIX: Global Options: Share button not hiding when option was checked.
   * FIX: Review Notice showing on activation.
   * IMPORTANT NOTE: Instagram Feed & Combined Streams: Added depreciation text about hashtag and location options being removed. Hashtag Search and Location information will be retired on the Instagram API platform on December 11th, 2018. Your Existing Hashtag or Location feeds will work until December 11th, 2018. We will be making an update on the 10th to remove the call so any existing hashtag or location feeds will not display. We will be looking into creating an app on facebook so we can also pull hashtags. Keep everyone posted.

= Version 2.5.8 - 2.5.9 Monday, October 22nd, 2018 =
   * NEW: Facebook Options: Translate the text, View on Facebook.
   * FIX: Pinterest & Instagram Options: Some plugins stripping out the hashtag we used to pass the access token in the browser url. Now we use &access_token instead.
   * FIX: Instagram hashtag feed: The set image count was not responding.
   * FIX: YoutTube Options: Access token not being saved properly.
   * FIX: Misc style updates.
   * COMBINED STREAMS NEW: Version 1.1.8: More rigorous error check in place to make sure if one social network fails the rest of the feed does not go down. Also admin notices will appear for social networks that are not working and give you instructions on what to check for to fix the problem.

= Version 2.5.7 Wednesday, October 17th, 2018 =
   * FIX: Instagram Feed: Force columns and columns shortcode options not working.
   * FIX: Pinterest Options: Edit text before access token button generator.
   * FIX: Pinterest Feed: Share button above or below feed was not returning in it's centered container div properly.
   * FIX: Misc style updates.
   * FIX: Various admin pages: target="_blank" missing on our links.
   * To All: We apologize for the continuous updates recently. Our 2.5.4 update was just a massive overhaul to the structure and security of the plugin. We're thankful for everyone's patience in reporting errors that have needed fixing in the last week.

= Version 2.5.6 Friday, October 12th, 2018 =
   * FIX: Fatal error for servers running less than php 5.6.

= Version 2.5.5 Thursday, October 11th, 2018 =
   * FIX: Twitter Feed: The post count is proper now.
   * FIX: Scrolling Feeds missing height option.
   * FIX: YouTube and other feeds had echo ob_get_clean instead of just using return.
   * FIX: Small cleanup items with spelling and text domain names.

= Version 2.5.2 - 2.5.4 Wednesday, October 10th, 2018 =
   * Full audit of every file to ensure proper escaping and sanitizing are in place to help prevent malicious attacks through our plugin.
   * NOTICE: Users of the Combined Streams Extension will also need to update to correct some formatting issues.

= Version 2.5.1 Friday, September 21st, 2018 =
   * NEW: Facebook Options: If you have Location pages you can get an access token for each one now when clicking the get access token button on the Facebook Options page of our plugin.
   * FIX: Facebook Feed: warning notice coming up for $FBpost_single_id

= Version 2.5.0 Friday, August 31st, 2018 =
   * FIX: Facebook Reviews: print_r visible on page.

= Version 2.4.9 Thursday, August 30th, 2018 =
   * NEW: Facebook Feed: Add Job Posts Text and Image to the feed.
   * FB REVIEWS EXTENSION: Recommendations have been added to the feed, although we are waiting for facebook to do a final release in the API.

= Version 2.4.8 Monday, August 27th, 2018 =
   * FIX: Facebook Feed: Animated gif post types showing extra small image that was not clickable. NOTE: facebook re-encodes gifs into videos so that is what is shown in the feed, we do not have a way to show a gif that repeats.
   * FIX: Admin: php warning for a case that did not have a default setting.
   * FIX PREMIUM: Instagram and YouTube Popup option working properly now.

= Version 2.4.7 Friday, August 10th, 2018 =
   * FIX/NEW: Facebook Feed: Videos now play when clicked on, and facebook videos are now embed/iframes so it shows more info like youtube videos, with the number of views etc.
   * FIX: Twitter Feed: Videos only showing a black box if your site was https
   * COMBINED STREAMS: Videos now play when clicked on.

= Version 2.4.6 Saturday, July 21st, 2018 =
   * NEW: All CSS and js files now contain the current version number of the plugin at the end of the file. ie* ?=2.4.6
   * NEW: Facebook Feed: Location check in post type now added and shared location post type.
   * FIX: Facebook Feed: Some shared posts were missing an image
   * FB REVIEWS: access_token= or token= now work in the shortcode.

= Version 2.4.5 Tuesday, July 16th, 2018 =
   * NEW: Facebook Feed: Create more than one feed by setting a new access token and creating a new shortcode.
   * NEW: Leave a review text and links.
   * FIX: YouTube & Facebook Feed: Large video had extra unnecessary padding.
   * FIX: Out of place closing ) for an add_action call to fts_upgrade_completed on the main plugin file page feed-them.php.
   * FIX: Facebook Feed: Add missing js functions to make posts with 2 or more photos display properly.
   * FIXED: fts-global.js: Depreciated .load() call. [https://github.com/SlickRemix/feed-them-social/issues/24](https://github.com/SlickRemix/feed-them-social/issues/24)
   * PREMIUM: You must also update your Premium version to get the access_token= option in the facebook feed.
   * PREMIUM FIXED: Facebook Video Feed: If  Load More max width isset the  Load More will show now. [https://github.com/SlickRemix/feed-them-social/issues/33](https://github.com/SlickRemix/feed-them-social/issues/33)

= Version 2.4.4 Friday, June 29th, 2018 =
   * FIX: Facebook Cover photos, Album photos and Video Albums to have proper image file types to work in Firefox and Safari.

= Version 2.4.3 Wednesday, June 27th, 2018 =
   * FIX: Facebook Feed: Remove with_tags depreciated call in app vs 2.7. Ths was causing many feeds to show an Error #100 message. This will also fix anyone encountering this error with the Combined Streams plugin.
   * EDIT: Facebook Options: Remove a few overlooked style options for Events
   * Options Pages: Remove unused logo a tag at the end of each page.

= Version 2.4.2 Wednesday, June 13th, 2018 =
   * FIX: Instagram Feed: User data was not getting cached probably cause API usage even if the feed was cached. Additional error check in place should also make sure cached feed is used if error found.
   * FIX: Instagram Options: Message under Access Token will now show if your Access Token has hit an API limit and what the total consuption is. 200 calls per hour is the general limit, Instagram says. This does not mean 200 page loads or visitors, this means how much information is called from Instagram to create your feed. That is why extended cache times are best now.
   * FIX: Facebook Options: Added an option to hide the Facebook error handler.
   * EDIT: Remove all mention of Facebook Group feeds and edited site documentation until further notice.
   * EDIT: Settings > Global Options - Cache Times: Remove all but 1 Day, 2 Days, 1 Week, 2 Weeks and Developer empty cache on reload select options.
   * EDIT: Settings - Remove option to create Events. At this time many people seem to be experiencing more troubles than not, so for the time being we are going to remove the option to create this type of feed.

= Version 2.4.1 Friday, May 25th, 2018 =
   * FIX: Twitter Feed: Twitter cards started displaying because twitters oembed option for displaying twitter videos and removing the tweet info is failing. Now Twitter videos are in a video element instead, which also fixes the issue you may be seeing duplicate images, text, etc.
   * FIX: Twitter Options: The option to hide videos

= Version 2.4.0 Tuesday, April 10th, 2018 =
   * REMOVE: Facebook Group Feed and Specific Events Posts: These feed types have been disabled by Facebook at this time. We'll post changes as we receive them from Facebook. [Read More](https://www.slickremix.com/facebook-api-changes-on-april-4th-2018/).
   * NOTE: Facebook Event Feed: Facebook now requires you use a page access token to view this feed type. The page access token must be for that facebook page for it to work. An APP ID will not work anymore.
   * FIX: Instagram Feed: The convert Instagram name option has been removed now that Instgram as removed access for this option. Set your Access Token from the Instagram Options page to get your Instagram ID now. [Read More](https://www.slickremix.com/instagram-api-change-on-april-4th-2018/).
   * POPUP FIX: Instagram Hashtag or Location Feed: Because of the resent privacy change by Instagram we replaced the missing profile photo with an Instagram Icon and the persons Actual Name replaced with Handle name.
   * FIX: Instagram Feed: To create additional Instragram Feeds we have now added access_token= to the shortcode generator on the Settings page of our plugin.
   * FIX: Settings Page: View Extensions and Demo link not working properly.
   * FIX: Plugins Page: Settings link not working properly.
   * IMPROVED: Plugin License Page is now only takes 1 click to save ALL license keys and activate them. (Backwards Compatible)
   * IMPROVED: Convert old License key fields in database to single option array on license key. (Backwards Compatible)

= Version 2.3.8 - 2.3.9 Wednesday, March 15th, 2018 =
   * FIX: Facebook Feed: Extra Images not appearing. We will work on the image slideshow post types in the next update.
   * FIX: Facebook Feed: https:// missing on some outgoing facebook links.
   * FIX: Twitter Feed: Some images and videos not appearing for some tweets
   * FIX: Twitter Feed: Links not working properly for hashtags and @ links
   * FIX: Twitter Feed: Reply or retweeted tweets did not have a cirlce profile image instead they were still square
   * FIX: Twitter Feed: Extra closing div causing layout problems.
   * FYI: Facebook Event Feed: Default and or custom text if no current events available.

= Version 2.3.7 Friday, January 26th, 2018 =
   * CLEANUP: Cleaning up and classifying Feed Them Socials main files (core).
   * NEW: All Development for Feed Them Social will now be done through our [GitHub](https://github.com/SlickRemix/feed-them-social). This will open up the ability for anyone to help contribute to the project.
   * NEW: You will now be able to track or submit any issues using the [issues page of our Github](https://github.com/SlickRemix/feed-them-social/issues).
   * NEW: You can now see what new [Projects](https://github.com/SlickRemix/feed-them-social/projects) and [Branches](https://github.com/SlickRemix/feed-them-social/branches) we are currently working on.
   * CONTRIBUTE: If you would like to improve Feed Them Social and want to contribute to it please do so by following our [Contribution Instructions]().

= Version 2.3.6 Wednesday, January 10th, 2018 =
   * NEW: All Feeds: Now #hastag and @mention links in different languages will convert to a link properly.
   * FIX: Facebook Feed: Extra photo not aligning proper if more than 4.
   * FIX CSS: Facebook Feed: If no thumb option chosen the fb name would still have an extra 10px of margin to the right.
   * FIX: Facebook Options: Facebook, and Facebook Reviews Get Access Token: Change return amount from 2 to 25.

= Version 2.3.5 Friday, December 22nd, 2017 =
   * NEW: Added Set Cache Time link in the admin menu along with the actual cache time that is currently set.
   * NEW: YouTube Feed: Hide first thumbnail in the list. Useful if displaying videos on the page. omit_first_thumbnail=yes
   * FIX: YouTube Feed: Show videos in a row with title and description. Actual iframe is displayed and not thumbnails.
   * FIX: YouTube Feed: Foreach loop error if 51 or more was entered as the number of vids. YouTube API is 50 per page max and to loadmore you need the premium version.
   * FIX: YouTube Feed: API/Access Token Issue where page would not return the feed after a certain amount of time and you would have to refresh the page to get it to work again.
   * FIX: Facebook Options: Facebook, and Facebook Reviews Get Access Token: If you had more than 25 pages and clicked the  Load More it would not return anymore results.
   * FIX: YouTube, Instagram and FB Feed: Fix image/js issue if you had 2 or more of these feeds on a page.
   * FIX: Misc CSS overrides

= Version 2.3.4 Tuesday, December 1st, 2017 =
   * NEW: Twitter Feed: Add title and aria-label to icon a tags to meet WCAG accessibility requirements.
   * FIX: Error on YouTube Options page.
   * FIX: YouTube Feed: Date formats besides the 1 day ago not working properly. This also fixes a non numeric warning that was coming up on the page too if you did not have the 1 day ago date option set. If debug mode was set to false in your wp-config you would not have seen the warning on the page.

= Version 2.3.2 - 2.3.3 Thursday, November 28th, 2017 =
   * NEW: YouTube Feed is now apart of the free version and it has a completely new look! [See New Demo](https://feedthemsocial.com/youtube-feed-demo/).
   * NEW: YouTube Options: New simple button to get your access token and token automatically saves to the page after it returns. No need to click the save button!
   * NEW: Twitter Options: No more time waisted created your own keys, now we have a new simple button to get your access token.
   * NEW: System Info Page: Added Cache Time to the report
   * NEW: Facebook Feed: Profile Thumbnails are now a circle instead of a square.
   * NEW: Admin Menu: Added Global Options to make it easier to get to the caching settings.
   * FIXED: Global: Timezone error if not set. Now we set the value on install if not set already.
   * FIXED: Twitter Feed: PHP 7.1+ fix for non numeric value
   * FIXED: Twitter Feed: Max-width:100% was not set on images in the feed so it caused some overlapping outside the feed frame on some themes.
   * FIXED: Facebook Feed: Videos not playing on the page when clicked.
   * FIXED: Facebook Feed: Removed Posts that had to do with editing the Jobs page.
   * FIXED: YouTube Channel Feed: If you make a playlist in your channel on YouTube a blank video for the playlist appears in the feed.
   * MOVED: All the buttons used to connect to your social media account have been moved to the top of each of our options pages to make getting started a little quicker.
   * REMOVED: Settings Page: Vine Icon and Feed Shortcode Options.
   * PREMIUM NEW: YouTube Options: New Load More Button Styles & Options
   * PREMIUM NEW: YouTube Feed:  Load More and Autoscoll shortcode options added.
   * PREMIUM NEW: YouTube Feed: Tons of new options and a new popup where you can show the video description and comments if you want.
   * PREMIUM NEW: Facebook Feed: Now you can display the photos/videos above the date, description etc. works in grid format and regular.
   * PREMIUM NEW: Facebook Feed: Hide your Profile Thumbnail.
   * PREMIUM NEW: Facebook Feed: Hide your Profile Name.
   * PREMIUM NEW: Facebook Feed: Hide the Date.
   * PREMIUM NEW: Facebook Feed: Comments Profile Thumbnails are now a circle instead of a square.
   * PREMIUM FIXED: Popup for Facebook & Instagram: Video was playing double in some instances.
   * PREMIUM FIXED: Loadmore: Facebook, Instagram & Twitter: Fixed nagging issue where some themes or plugins would convert our shortcode in js on the page.
   * PREMIUM REMOVED: Global Options: Fix Loadmore Error.
   * FB REVIEWS NEW: Hide reviews that do not have any text.
   * FB REVIEWS NEW: Hide the "See More Reviews Text."
   * FB REVIEWS FIXED: Loadmore: Fixed nagging issue where some themes or plugins would convert our shortcode in js on the page.
   * COMBINED STREAMS NEW: Now you can display the photos/videos above the date, description etc. works in grid format and regular.
   * COMBINED STREAMS NEW: Hide the Profile Name.
   * COMBINED STREAMS NEW: Hide the Date.

= Version 2.3.1 Tuesday, October 17th, 2017 =
   * FIX: Twitter Feed: Overflow auto missing for scrolling feeds.

= Version 2.2.9 - 2.3.0 Friday, October 13th, 2017 =
   * NEW: Instagram Shortcode: Fully Responsive gallery. Now you can choose the column width and whether to force the columns or make images full size on smaller containers or devices. See the [New Demo](https://feedthemsocial.com/instagram-feed-demo/)!
   * NEW: Instagram Shortcode: Choose a width for the gallery.
   * NEW: When plugin is updated or activated the cache is deleted to ensure you are seeing any changes we have made.
   * FIX: Facebook Feed: Overflow auto missing for scrolling feeds
   * FIX: Twitter Feed: Number Format Error showing php versions 5.6
   * PREMIUM NEW: Facebook Options: Customize the Load More text and No More Posts, No More Photos or No More Videos text.
   * PREMIUM NEW: Instagram Shortcode: Now you can choose the Load More button width and margin.
   * PREMIUM NEW: Twitter Options: Customize the Load More text and No More Posts
   * PREMIUM NEW: Instagram Options: Customize the color of the Load More button and the text.
   * PREMIUM NEW: Instagram Options: Customize the Load More and No More Photos text.
   * PREMIUM NEW: Instagram Shortcode: Create a Location feed.
   * FB REVIEWS NEW: Customize the No More Reviews text.
   * FB REVIEWS NEW: Google Reviews structured data.
   * FB REVIEWS FIXED: popup js error when loading more reviews.
   * FTS BAR NEW: Instagram: All new responsive gallery. See [New Demo](https://feedthemsocial.com/fts-bar/).
   * FTS BAR NEW/FIX: Instagram Options: Now when converting an instagram ID you will see a list of ID's to choose from if yours was first in the list.
   * FTS BAR NEW: Twitter: Load More button option.
   * FTS BAR FIX: Misc CSS tweaks to override themes from wrecking our ul and li elements.
   * COMBINED STREAMS NEW: Twitter: Hashtag, search and more feed option now available.
   * COMBINED STREAMS NEW: Instagram: Hashtag and Location feed option now available.
   * COMBINED STREAMS FIX: px not getting added to the height, grid column width or margin shortcode attributes if you forgot to type them before clicking generate shortcode.
   * HAPPY HALLOWEEN!
= Version 2.2.8 Wednesday, September 20th, 2017 =
   * NEW: Promo Image for the free plugin license page.

= Version 2.2.6 - 2.2.7 Wednesday, August 9th, 2017 =
   * NEW: Facebook: If the width of feed gets below 250px wide the extra gallery thumbnail images aligned under a photo will stack and be the same size as the large image.
   * FIXED: Twitter: Share icon misaligned on some posts.
   * PREMIUM FIX: Facebook: Some images not showing in video gallery thumbnails.
   * PREMIUM FIX: Instagram: Some images not showing in popup.
   * PREMIUM FIX: Twitter: Some posts getting skipped when using the loadmore option.

= Version 2.2.5 Wednesday, June 28th, 2017 =
   * FIXED: Themes not pre installed with masonry.js getting error. This has been corrected now on the fts-global.js file to do a function check first.
   * FIXED: Twitter: Icons not aligning proper on some themes.
   * FIXED: CSS: Misc tweeks to override other theme CSS for our feeds. If you think we have to many !important rules in our CSS you have to consider that we are fighting with the themes CSS which in most cases overrides a plugins CSS. So if you see an !important rule and are having trouble overriding it make sure and target the body, html or an ID before the CSS class you are trying to override.

= Version 2.2.4 Saturday, June 24th, 2017 =
   * NEW: Facebook: Now photo posts that contain more than one photo will be showm similar to facebook.
   * NEW: Settings->Global Options: 1 day cache is now set by default for new installs along with the 1 day ago time setting.
   * NEW: Settings->Global Options: Change the color of the share background and the social icons active state and hover state.
   * NEW: Facebook Options: Font size option for Description.
   * NEW: Twitter Options: Font size option for Description.
   * NEW: Update or Activate: We will automatically clear the cache on all new updates so the feed will always show our most updated styles and changes.
   * FIXED: Facebook: Album photos and Album Covers not showing photos properly.
   * PREMIUM FIX: Facebook: Album photos and Album Covers loadmore option was not aligning properly when image loaded.
   * PREMIUM and COMBINED STREAMS FIX: Youtube: Move YouTube Channel ID option to the top of the list since that seems to be more popular.

= Version 2.2.0 - 2.2.3 Friday, June 16th, 2017 =
   * NEW: Share options on Facebook, Twitter and Instagram feeds. The new Share icon is on by default for the Facebook, Instagram(slicker feed) and Twitter feed. You can turn the Share option off on the Settings -> Global Options tab of our plugin.
   * FIXED: Facebook: Fix FB Translate XML file not loading properly because facebook removed it, so we are using a new XML list.
   * FIXED: Facebook Albums: Likes and comments not showing if 2 album_photo shortcodes on page with same id. Needed to create a type=album_photos create cache statement.
   * FIXED: Facebook Feeds: Profile name not going to proper profile for some users.
   * FIXED: Twitter Feeds: p tag getting added to reply, retweat and love links. Closed spaces so themes or other plugins won't try and add p tags anymore.
   * FIXED: Words option not working if using combined stream for multiple facebook feeds.
   * FIXED: Settings Page: Column width issue on settings page for Twitter.
   * FIXED: Fatal Error coming from Free plugin license page on some installs.
   * COMBINED FEEDS NEW: If you have the combined streams extension you will see share icons on the Facebook, Instagram, Twitter, Pinterest and YouTube posts.

= Version 2.1.9 Thursday, April 27th, 2017 =
   * FIXED: Facebook: Type ablum_photos not caching proper if more than one of the same album on the page with different album_id's. The likes, comments, share options area was not displaying.
   * FIXED: Combined Facebook Feeds words option not working.

= Version 2.1.7 - 2.1.8 Friday, March 24th, 2017 =
   * ALERT: Vine has finally removed access to the API so this feed is no longer available.
   * NEW: Settings page UI and easier setup instructions. Includes a Shortcode Options menu tab and a Global Options menu tab.
   * NEW: Additional caching times available now under the Global Options tab on the Settings page to help speed up site loading. Especially for people using the reviews extension. No need to have feed refresh every 20 minutes. Now you can set it to a hours, days or weeks.
   * NEW: Facebook Event feed now had Ticket Info link next to the Get Directions link on each post if you filled out the ticket info option on facebook when creating an event.
   * NEW: Adjusted author note at the bottom of the Settings page to include premium support ticket system link as well.
   * NEW: Plugin License page now shows the Extensions available for Feed Them Social if you don't already have one installed. And if you do it will show you upgrade license options should you ever need them.
   * NEW: Settings, Global Options: Additional Timezone options.
   * FIXED: Pinterest: Boards not displaying properly in text widgets.
   * FIXED: Facebook: Spacing and alignment issues for likeboxes, buttons etc.
   * FIXED: Facebook Combined: Post limit was stuck at 6.
   * FIXED: Facebook: Likes and Shares function used to house FB event calls. The Event calls have been added to a new function now. This speeds up the load time overall now :)
   * FIXED: FB Events: Events Feed now caches properly.
   * FIXED: Settings: Fixed misc required plugin API token message not showing for Pinterest or YouTube and a few js issues when selecting feed types.
   * FIXED: System Info: Pinterest Access Token check missing.
   * EDIT: System Info: Text change under system report.

= Version 2.1.6 Thursday, February 2nd, 2017 =
   * FIXED: Facebook Mobile CSS: View on Facebook link not showing on mobile devices. Thanks to [@floppy78](https://wordpress.org/support/topic/view-on-facebook-link-disappears-on-mobiles/#post-8729449) for pointing this out to us.

= Version 2.1.4 - 2.1.5 Tuesday, January 10th, 2017 =
   * NEW: Facebook Options page: Load more button will appear if you are admin of more than 25 pages so you can choose the proper access token.
   * FIXED: Facebook: Video thumbnail not showing video if clicked.
   * FIXED: Instagram: Issue with image opening in new window instead of the post.
   * PREMIUM NEW: Twitter: Load more button and auto scroll load more option availble. Also new grid format options on settings page when creating a shortcode and Grid Style color options on the Twitter Options page.
   * PREMIUM NEW: Twitter Options, Facebook Options & Instagram Options pages: Load more button color and text color options.
   * PREMIUM NEW: Plugin License: Now the activate license button will not appear unless you add your license and click save all changes first.
   * FB REVIEWS NEW: Overall Rating option now available when creating a FB Reviews shortcode, plus many more style options on the Facebook Options page. We also now created a select option on the Facebook Options page to show or hide the Show More reviews link in posts. Additionally the itemprop="aggregateRating" meta information is being used on the overall rating bit. Google will track that and display the rating under your site information in search results.
   * CLEANED: Removed some unused functions and cleaned/formatted up code.
   * NOTE: We have received some notices about some FB videos having bad quality and basically at the moment it appears FB is only returning a low rez version of the video through the API for Shared Posts only, no extended formats are available. If someone knows how this is possible please contact us on the support forum.

= Version 2.1.3 Wednesday, December 21st, 2016 =
   * FIXED: Fatal error for users not running php 7.0. Our plugin is now again compatible with php 5.3 up to 7.0. Truly sorry for the troubles.

= Version 2.1.2 Wednesday, December 21st, 2016 =
   * FIXED: Twitter: Removed string that was causing random fatal error on some php versions and truncated code. Thanks to [@eagles051387](https://wordpress.org/support/topic/updating-to-latest-version-of-plugin-causes-site-not-to-load-white-screen/#post-8574901) for pointing the error out.
   * FIXED: Settings Page: Some options not showing properly for premium users.

= Version 2.1.1 Friday, December 16th, 2016 =
   * NEW: Plugin License Page: New UI. If you are using any premium plugins please update them as well. If you are not using any premium plugins you can skip this update if you like.

= Version 2.1.0 Saturday, December 10th, 2016 =
   * NEW: Settings: Complete overhaul of the shortcode generator on the front and backend making it way easier for us to add new awesome options for everyone!
   * NEW: Facebook: Photo gallery images do not require the shortcode attribute position_lr or position_top and more. Images a properly centered with CSS now.
   * NEW: Twitter: Now you can filter out the Replies in your Twitter feed by adding show_replies=no
   * NEW: Twitter: Videos now show in the feed instead of a show video link and they also show proper on retweets and replies.
   * NEW: Twitter: Includes the proper thumbnail and name for the retweets and replies. New name/date style format.
   * NEW: Pinterest: Links are now clickable in the description for User Pins and Pins from a Board.
   * NEW: Instagram: Now you can show your profile photo, name, description and the count for your posts, followers and following. [View Demo](https://feedthemsocial.com/instagram-feed-demo/)
   * NEW: Instagram, Twitter and Pinterest: Truncated specfic calls into functions.
   * PREMIUM NEW: YouTube: Truncated specfic calls into functions.
   * NEW EXTENSION: [Feed Them Social Combined Streams](https://www.slickremix.com/downloads/feed-them-social-combined-streams/). With this extension you can combine your facebook feeds or you can combine Facebook, Instagram, Twitter, Pinterest or YouTube into one feed.

= Version 2.0.9 Tuesday, October 4th, 2016 =
   * FIX: Twitter: Search type feeds (@, #, etc) not showing the full text.

= Version 2.0.8 Wednesday, September 29th, 2016 =
   * NEW: Twitter: Added new way of getting media url. Restyled and added retweet icon, favorite icon and counts. Plus all new Background cover photo and stats bar you can display above your feed like Twitter. Add cover_photo=yes stats_bar=yes to your Twitter shortcode to see the new additions. Premium users will need to upgrade to version 1.6.4 to use the new additions. [Updated Example](https://feedthemsocial.com/twitter-feed-demo/).

= Version 2.0.7 Monday, September 19th, 2016 =
   * NEW: Facebook Options: Now all you have to do is click a button to get an Access Token, no more having to create an APP in facebook! Same goes for our Premium Review Plugin too.
   * FIXED: Settings: Various links to our site for instructions.

= Version 2.0.6 Tuesday, August 30th, 2016 =
   * VERY IMPORTANT: Pinterest: All users must now go to the Pinterest Options page and create and Access Token. It's very simple to generate the token. [https://www.slickremix.com/docs/how-to-create-a-pinterest-access-token/](https://www.slickremix.com/docs/how-to-create-a-pinterest-access-token/)
   * FIXED: Pinterest: The Boards feed was not working because the existing API was closed suddenly.
   * FIXED: Jetpack Photon filter had a ) in wrong possition causing a warning message that would not go away.
   * FIXED: Vine: Overlapping hover cover on some themes.
   * FIXED: Twitter: Now video posters will be the full with of video on the page.
   * FIXED: Instagram: now when you set image_stack_animation=no the masonry effect and scripts will not be used.

= Version 2.0.5 Tuesday, August 9th, 2016 =
   * FIXED: Added Jetpack Photon filter to stop the module from caching our images and breaking the image url.
   * FIXED: JS error on admin.js file when using https
   * FIXED: Facebook: Now video posters will be the full with of video on the page.
   * FIXED: Instagram Follow button select was getting overwritten if Settings page was saved.
   * NEW: Twitter: Offset Time option for some server's that are 3 hours difference.
   * NEW: System Info: Added more info to the report.
   * FIXED for FTS BAR: Instagram and Twitter post count was not visible.
   * NEW PREMIUM: Facebook: Brand new popup that looks like facebook's popup and also shows comments. [Try it out here](https://feedthemsocial.com/).

= Version 2.0.4 Monday, July 18th, 2016 =
   * NEW: Instagram: Photos in Super Instagram feed do not have white borders anymore.

= Version 2.0.2 & 2.0.3 Wednesday, July 13th, 2016 =
   * FIXED: Facebook Event: Feed was not showing properly do to a misslabeled edge.
   * NEW: Facebook Event: Full size photo in feeds now and this should resolve most ? mark images.
   * NEW: Facebook: Notes post types had been added to the feed now.
   * NEW: Facebook: View on Facebook link now shows in popup if no message is found.

= Version 2.0.1 Friday, July 8th, 2016 =
   * FIXED: Facebook Page: Shared Event post was not displaying correctly.
   * NEW: Facebook: Like Box is now set to a width of 500px by default.
   * NEW: [Feed Them Carousel Premium](https://www.slickremix.com/downloads/feed-them-carousel-premium/) for Feed Them Social

= Version 2.0.0 Tuesday, June 21st, 2016 =
   * FIXED: Instagram: Feed was going to the top on some themes.

= Version 1.9.9 Monday, June 20th, 2016 =
   * FIXED: Instagram: CSS Adjustments.
   * NEW: Photos and Videos in popup now available in our [Premium Extension 1.5.9](https://www.slickremix.com/product/feed-them-social-premium-extension/)
   * COMING SOON: Fix scripts url to work with SSL on backend.

= Version 1.9.8 Friday, June 10th, 2016 =
   * FIXED: Instagram: Now hashtag feeds will work and if you are a premium user you can load more than 20 photos.

= Version 1.9.7 Thursday, June 9th, 2016 =
   * NOTE: As of June 1st, 2016 Instagram has made some limitation to the API that may impact your install. Please go to the Instagram Options page of our plugin and get a NEW Access Token. Hashtag feeds are not allowed at this time. If you are using the premium version please note: You are limited to 20 photos, even with the  Load More. Once our app is approved these limitations should be resolved.
   * FIXED: Instagram Options: Button to Get Access Token.
   * FIXED: Settings page: Instagram: Convert username to ID.
   * FIXED: Pinterest: Links in descriptions are now clickable.

= Version 1.9.6 Tuesday, April 26th, 2016 =
   * NEW: Now you can set the post count for Facebook, Twitter, Instagram and Vine feeds. Limit 1-6. Vine feeds have no limit.
   * NEW: Facebook Options: Created an option to Change Post Limit so we can ommit posts that have no content from page or group feeds.
   * NEW: Facebook Options: Added option to remove the images.
   * NEW: Twitter Options: Added option to remove the images.
   * NEW: Twitter: Shortcode option to show retweets along with your tweets or just your tweets. Add show_retweets=yes to our shortcode or Regenerate your shortcode from the settings page to see this new select option.
   * NEW: All functions are now properly documented using PHPDoc formatting.
   * NEW: Settings Page shortcode generator will automatically add any missing px after values requiring it when proceeding to copy the shortcode.
   * ADDED: Facebook Events: Note on settings page before generating the shortcode letting users know about the 25 event limit.
   * FIXED: Facebook: Certain facebook videos links not returning properly.
   * FIXED: Facebook: Title and description dissapearing when premium is activated.
   * FIXED: Facebook: Links without http:// get the full site prepended. ie ww.mysite.com
   * FIXED: Facebook: Default Date and Time not showing unless the Settings page was saved.
   * TESTED: Facebook: App ID for API version 2.6

= Version 1.9.5 Monday, March 7th, 2016 =
   * ERROR MESSAGES UPDATED: The Facebook Group Feed for FTS was experiencing a known error, it has been repaired now. Facebook had a bug in the API. If you had a pinned post in your Group you would get the error mentioned. Simply “unpin” the post from your Facebook Group and the feed will work. (Which is only a temporary solution until Facebook fixes the issue.)

= Version 1.9.4 Friday, February 26th, 2016 =
   * SECURITY FIX: Possible intrusion of shortcode when premium version active and using the loadmore posts option. Using preg_match('/^\ .... instead of preg_match('/\ .... Thanks to James Golovich [@Pritect](https://twitter.com/pritect) for pointing this out.
   * NEW: Add Swedish Language and updated the Italian Language.
   * FIXED: Date for facebook feed should be translated now based on your wordpress settings.
   * FIXED: RSS Aggregator conflict
   * FIXED: Moved Error Handler check inside the php version check on main file.
   * FIXED: Update to fix a few incorrectly spelled CSS styles for the feeds. Thanks to [TNELN](https://wordpress.org/support/topic/misspelling-in-stylescss?replies=1#post-7806264) on the wordpress support forum for bringing this to our attention.
   * FIXED: Facebook: Get Directions and Ticket Info text coming from the Events feed are now translatable.
   * FIXED: Facebook, Twitter and Instagram: Date/Time not translating properly.
   * FIXED: Facebook: Add overflow:hidden on like button below title and below feed.
   * FIXED: Facebook: Issue with Facebook Reviews not showing proper selected option such as, show only 5 star reviews.
   * FIXED: Twitter: @ button was not showing in Firefox if using the FTS Bar.
   * FIXED: Twitter: Update to fix caching problems when 2 or more search @ or # are used. Thanks to [James](https://www.slickremix.com/support-forum/topic/twitter-shortcode-is-not-working-well/) in our support forum for bringing this to our attention.
   * FIXED: Twitter: Update to fix caching problems when 2 or more username feeds are used. Thanks to [Walt](https://www.slickremix.com/support-forum/topic/twitter-shortcodes-repeat-first-entry-info-for-all-entries/) in our support forum for bringing this to our attention.

= Version 1.9.3 Wednesday, December 9th, 2015 =
   * FIXED: Shortcodes not working because of WP4.4 update. No space without underscores(_) allowed anymore.
   * FIXED: Facebook: Fixed error handeling return issue. Thanks to [alieneila](https://wordpress.org/support/topic/please-fix-error-output?replies=1) for bringing this to our attention.
   * NEW: Facebook Settings Page and Twitter Settings Page: Option to Hide Images in Posts.
   * NEW: Twitter: Add alt tag with name to images.
   * NOTE: All Premium users will be required to update as well to fix this issue. Very sorry for the inconvenience.

= Version 1.9.2 Friday, December 4th, 2015 =
   * NEW: Facebook Album Photos: Now you can leave the Album ID field blank when generating the shortcode from the settings page to show your photo stream, which is all your photos not just one specific album of photos. All existing users that want to use this option should regenerate a shortcode from the Settings page of our plugin.
   * NEW: Facebook: Set the max-width for Images/Videos on the Facebook Options page.
   * NEW: Twitter: Set the max-width for Images on the Twitter Options page.
   * NEW: Twitter: Filter a specific users hashtag. NOTE: Only shows last 7 days worth of Tweets. See our plugin's settings page under Twitter and #hashtags to find instructions.
   * NEW: Facebook and Twitter: Now you can choose a date option called 1 Day Ago from the main settings page. This will show the time like facebook and twitter does. ie. 2 minutes ago, 1 hour ago, etc.
   * NEW: Facebook and Twitter: Set your own custom Date Format from the main Settings page.
   * ADDED FILTER: Now if you accidentally add the full url for a user of any feed on our Settings page we will strip out only what is required.
   * FIXED: Facebook Albums Covers: The 'View on Facebook' link now opens proper on mobile devices. Thanks to [Larry Shank](https://www.slickremix.com/support-forum/topic/album-cover-links-to-page-and-album-break-on-mobile/) for bringing this to our attention.
   * FIXED: Added if(imagesLoaded) in fts-global.js to prevent jquery error when function is not in use.
   * FIXED: Instagram: popup warning notices.
   * FIXED: Facebook: Shared posts with uploaded videos will now show.
   * FIXED: imagesLoaded js error on some installs.
   * FIXED: Facebook: Embed url for youtube videos. Now we can make an api call to get the video embed source instead of having to preg replace to get the proper id then created url for embed. This will speed things up for load time too.

= Version 1.9.1 Thursday, November 12th, 2015 =
   * FIXED: Facebook: Fix potential Notice for some Facebook page feeds.
   * FIXED: Facebook: PHP if statement that is not excluding the header wrapper div.
   * FIXED: Facebook: Group feed photos for certain posts. FINALLY
   * FIXED: Facebook: omit_album cover issue.
   * FIXED: Facebook: Video FB Graph api 2.5 change.
   * FIXED: Twitter:  Hashtag cache fix.
   * FIXED: Facebook: FB notices and warning when php debug mode is true.
   * FIXED: Facebook: Fix a tag.
   * NEW: All Feeds:  Error Handler Update! Super Awesome!
   * FIXED: Facebook: Fix poster video not working in free version and view on Facebook link now shows proper in premium version in popup for reg Facebook feed and grid, not just photos and albums.
   * FIXED: All Feeds: Remove Mozilla  call, it is breaking Chrome and Safari.
   * FIXED: All Feeds: adjust html5 post click to be for mozilla only and remove from other file.
   * ADDED: All Feeds:	Checks to see if social tokens are in place for a feed you are trying to generate a shortcode for on the settings page.
   * ADDED: All Feeds: New translation sets.
   * REMOVED: All Feeds: Removing files to allow for new WP translation setup.
   * FIXED: Facebook: ob_get_clean return

= Version 1.9.0 Monday, September 21st, 2015 =
   * FIXED: Facebook: Missing post descriptions and fixed other misc warnings appearing only on php 5.4 servers.

= Version 1.8.9 Sunday, September 20th, 2015 =
   * FIXED: Facebook: Missing line of code to allow other attributes

= Version 1.8.8 Sunday, September 20th, 2015 =
   * CLEANED: Facebook: Now classified.
   * NEW: Facebook: Added code needed to coincide with Facebook Reviews extension.
   * FIXED: Facebook: User Thumb link to new method.
   * FIXED: Facebook: Error when trying to use Likebox with a group or event list alongside a page shortcode.
   * FIXED: Facebook: Removed empty img element if no image is used for an Event.

= Version 1.8.7 Monday, August 2nd, 2015 =
  * NEW: Twitter: Now you can search #hashtag, @person, or single words. For example, weather or weather-channel. No spaces allowed.
  * NEW: Option to disable Magnific Popup if you are experiencing problems with your theme(s) or other plugin(s).
  * NEW: Option to not allow certain Facebook Album Covers. See how here: [https://feedthemsocial.com/facebook-album-covers/](https://feedthemsocial.com/facebook-album-covers/)
  * NEW: Settings page newer look.
  * NEW: Authors Note on Settings Page.
  * FIXED: Facebook: Missed call in new v2.4 API for the main feeds description.
  * FIXED: Album Cover View on Facebook link.
  * FIXED: type=events json call that was not needed unless called.
  * FIXED: Settings Page: UTC for -8 and -10
  * CLEANED: Minified all CSS scripts for wp-admin pages.

= Version 1.8.6 Saturday, July 11th, 2015 =
  * MAJOR: Facebook: [New API v2.4 update released July 8th from Facebook](https://developers.facebook.com/docs/apps/changelog) so we had to make a few changes to calls in the Facebook feeds only. All previously created APPS using v2.3 will still work with this update unless you are using the Album Covers feed. Then you will need to create a new APP on Facebook. It is suggested that you create a new APP in Facebook and replace your old APP Token but not required with this update. [https://feedthemsocial.com/facebook-videos-demo/](http://www.slickremix.com/docs/create-facebook-app-id-or-user-token)
  * FIXED: Decrease font size for share icon slightly and make sure the font-style is normal so other themes don't override it.

= Version 1.8.5 Wednesday, July 8th, 2015 =
  * FIXED: Fatal error on install for users under php 5.3 due to new namespace name overiding our initial php version error check.
  * FIXED: Misc cleanup on files to speed things up.
  * PREMIUM USERS: The below new options can be found on the settings page when you generate your shortcode for the facebook feed you need.
  * NEW: Facebook Video Feed. Now you can add a feed of your Facebook page's uploaded videos. Only Works with Facebook Pages. Not user accounts or groups etc. See example here: [https://feedthemsocial.com/facebook-videos-demo/](hhttps://feedthemsocial.com/facebook-videos-demo/)
  * NEW: Facebook: Type 0 for the words= option and the description for each post will disappear.
  * NEW: Facebook: Hide the Like Button or Box if you are using more than one feed on a page.
  * NEW: Facebook: Align the Like Button or Box left, center or right.
  * NEW: Facebook: Set the Max Width for the Load More button.
  * NEW: Facebook: Set the margin for the Load More button. Even setting this to 0 will align the button in the center.

= Version 1.8.4 Monday, June 29th, 2015 =
  * NEW: Vine Feed. Now you can add a gallery of Vine videos with thumbnails. Premium users will need to upgrade the feed-them-premium plugin to 1.5.0 to get the premium features. See example here: [https://feedthemsocial.com/vine-demo/](https://feedthemsocial.com/vine-demo/)
  * FIXED: Facebook: API change for call to Album Cover photo source. Thanks to all who let us know this was not working.

= Version 1.8.3 Tuesday, June 23rd, 2015 =
  * FIXED: WooCommerce Product search conflict.
  * CLEANED: Namespacing and Classification to help with other plugin and theme conflicts.

= Version 1.8.2 Wednesday, June 17th, 2015 =
 * NEW: Facebook Option: Hide the text that appears after your facebook name for instance... added a new video, or shared something or added a new album. Most of these things are apparent when viewing the post anyway.
 * NEW: System Info: Now we are gathering more of the info we need in order to speed up support requests.
 * FIXED: Removed Serialize from our caching process as it was not needed and was causing some people errors when logged out and trying to view any feeds.
 * FIXED: Removed uneeded ajax file from facebook feed and truncated some more scripts from feeds to speed up load time.
 * FIXED: Instagram Feed: js error with Classic gallery when using loadmore.
 * EDIT: Moved plugin license menu to our plugin's menu

= Version 1.8.1 Friday, May 22nd, 2015 =
 * FIXED: Revert 1.8.0 serialization for Database using WP functions.

= Version 1.8.0 Thursday, May 21st, 2015 =
 * FIXED: All feeds to have proper serialization for Database using WP functions.

= Version 1.7.9 Saturday, May 16th, 2015 =
 * FIXED: New cache method using transient instead of cache folder.
 * FIXED: Facebook post icon link and name link now open in new window.
 * FIXED: Facebook Language problem that was causing fb feeds to fail. Thanks to [Brad Allen](https://www.slickremix.com/support-forum/topic/facebook-feed-issue) for pointing this issue out.
 * NEW: Facebook like button color option, dark or light, now on the Facebook Options page.
 * NEW: Instagram height option available when you generate a shortcode so you can create a scrolling feed.
 * NEW: Instagram comment and like counts have proper number formatting including rounding for numbers above 10k and 1m like Instagram.
 * REMOVED: Unneeded get_curl function for retrieving short url for Twitter videos.
 * NEW IN PREMIUM: Instagram Load More Options. Includes  Load More, or if you set the height of the Instagram feed you can choose Autoscroll so when the scrollbar reaches the bottom it will automatically load the next set of images.

= Version 1.7.8 Friday, May 8th, 2015 =
 * NEW: Language Selection added to Facebook Settings Page in Wordpress Admin. List of Languages come directly from Facebook which means if they add a language our plugin automatically supports it.
 * NEW: Deleted unnecessary files and folders and Truncated, combined and cleaned up files to speed up HTTP requests for better performance.
 * NEW IN PREMIUM: YouTube: Support for Channels, Channel Playlists and Playlist IDs.
 * FIXED: Instagram: Small black line that would appear under photos with some themes. Added line-height:0px to resolve this issue.
 * FIXED: Facebook: Improper parse of www.youtube.com. Link is now inactive like facebook does it.
 * FIXED: Twitter Feed Options to hide Media and longurl.
 * FIXED: Twitter Feed had improper CURL timeout set)
 * FIXED: Twitter: Multiple php notices.
 * FIXED: Misc. style adjustments throughout the plugin.

= Version 1.7.7 Wednesday, April 29th, 2015 =
 * FIXED: Instagram: Convert username to ID on the Settings page.
 * NEW: Instagram: Simple button to get your Access Token now on the Instagram Options page.

= Version 1.7.6 Thursday, April 23rd, 2015 =
 * FIXED: Facebook: Events are now in the proper order.
 * FIXED: Facebook: Events now show the proper Date and Time based on the UTC setting on our Settings page.
 * FIXED: FontAweseome conflict with other themes. Now our font name is FontAweseomeSlick!

= Version 1.7.5 Thursday, April 9th, 2015 =
 * NEW: All Feeds have been classified in php
 * NEW: Facebook: Now display a Facebook Page's Events Feed with additional styling in Facebook Options page.
 * NEW: ALL FEEDS (besides Facebook Groups and Events): Show a Follow button for any of the social feeds and choose whether to display it on the top or bottom of the feed.
 * NEW: Twitter: now includes video. Video types include HTML 5, YouTube, Vimeo, SoundCloud, and Vine.
 * NEW: Twitter: follow count can be displayed.
 * ADDED: Pinterest, Youtube: added WordPress Dashboard options pages.
 * ADDED Facebook: A bunch of new default access tokens to help with rate limiting issue.
 * ADDED Developer Mode: Clear cache on every page load. Created a settings on settings page to turn it off in Admin Bar and on every page load.
 * FIXED: Twitter: missing line breaks.
 * FIXED: Facebook: "view photo" text in pop-up now translatable.
 * FIXED: Facebook: Feed Border Bottom Color on Facebook Options page.

= Version 1.7.4 Thursday, March 26th, 2015 =
 * FIXED: Pinterest: Board Name was not appearing to do an API change. We have a temporary fix in place till it comes back up.
 * FIXED: Pinterest: Board count reflects the amount entered in shortcode. It was showing one more than it should previously.
 * FIXED: Pinterest: Margin of title for the Pinterest Boards.
 * FIXED: Instagram: php Notices that needed isset.

= Version 1.7.3 Saturday, March 21st, 2015 =
 * NEW: Facebook and Twitter Options page are now open to the FREE version.
 * FIXED: Facebook: Grid format now loads correctly.
 * FIXED: Twitter: Multiple feeds Fatal Error corrected.

= Version 1.7.2 Thursday, March 12th, 2015 =
 * FIXED: Pinterest: Pins not showing proper amount on List of Boards.
 * FIXED: Pinterest: Missing js file.
 * NEW: Menu in admin bar called Feed Them Social. Now you can Empty the cache on the same page or get to the settings page quicker.
 * NEW: Russian Language files added. Big thanks to Anton Sadykov @[http://lioncom.pro/](http://lioncom.pro/) for translating the Russian language.
 * UPDATED: German French, Spanish and Portuguese language files. If you see any words or phrases not translated and would like to help please head on over to [http://glotpress.slickremix.com/projects/feed-them-social](http://glotpress.slickremix.com/projects/feed-them-social).

= Version 1.7.1 Tuesday, March 10th, 2015 =
 * NEW: Pinterest Feed. Show Boards, Pins from a Board or your most recent Pins!
 * FIXED: Facebook: Language option made for Load More text.
 * FIXED: Facebook: Album photos not displaying correctly if no description.
 * FIXED: Classic Instagram: Images are centered on page now.
 * FIXED: Misc CSS edits for popup.
 * FIXED: Notice: Undefined variable: _plugin_file (not sure why this did not push in vs 1.6.9)

= Version 1.7.0 Monday, February 2nd, 2015 =
 * FIXED: Reflected XSS vulnerability and possibly an arbitrary shortcode execution vulnerability with the load more button for the Facebook Feeds. Thanks to James Hooker at [g0blinResearch](https://research.g0blin.co.uk/) for pointing out this problem. Check out his [twitter here](https://twitter.com/g0blinResearch).

= Version 1.6.9 Monday, January 26th, 2015 =
 * FIXED:  Load More showing extra code and not working when Nextgen Gallery Active.
 * FIXED: Notice: Undefined variable: _plugin_file

= Version 1.6.8 Sunday, January 18th, 2015 =
 * FIXED: Twitter feed now uses your custom API token to make the connection where as before it was still using the default Tokens even if you had entered custom ones.
 * FIXED: Feeds from Cacheing if errors for Facebook, Twitter, Instagram.
 * FIXED: Trim words= for Facebook feed breaking themes if a url or br tag is the last element.
 * FIXED: Default App Tokens for randomizer fixed so no more error from like or comment posts in feed. With our default tokens you should not see those posts in the feed anymore either.
 * UPDATED: Facebook Styles.
 * FIXED: Notices for date and time for Facebook.
 * FIXED: End bracket issue in Facebook Feed.

= Version 1.6.7 Monday, December 29th, 2014 =
 * FIXED: Facebook Feed photo album covers having double descriptions.
 * ADDED: Facebook Feeds to display error messages when feed is not working.
 * NEW: Year! HAPPY NEW YEARS to all of you SlickRemix users! See you next year with tons of new updates and products!

= Version 1.6.6 Thursday, December 18th, 2014 =
 * NEW: Additional words and phrases that need translation. [Feed Them Social and Premium](http://glotpress.slickremix.com/projects)
 * FIXED: Removed a few more php notices.
 * UPDATED: Licensing System
 * NOTICE: Tested everything in WordPress 4.1 update
 * Happy Holidays from all of us at SlickRemix!

= Version 1.6.5 Saturday, December 13th, 2014 =
 * NEW: Timezone option for Facebook and Twitter feeds.
 * FIXED: Slow loading wp-admin
 * FIXED: All notices with wp-debug mode on removed.

= Version 1.6.4 Monday, December 8th, 2014 =
 * FIXED: Instagram cache error resolved. (Thank you to all the SlickRemixers for letting us know on support forum!)
 * NEW: Dutch and German languages added.

= Version 1.6.3 Friday, December 5th, 2014 =
 * FIXED: Now having more than one Facebook photo album on a page works.
 * UPDATED: Caching systems for Instagram and Twitter to increase speed and eliminate errors.
 * NEW: Now you can enter your own Twitter API tokens. This is helpful if you keep seeing the twitter is down and will be back shortly message which is caused by the high traffic coming from our default Twitter APP tokens.
 * NEW IN PREMIUM: Remove the Twitter profile photo on every tweet. Look at the [example on this page's sidebar](https://feedthemsocial.com/twitter-feed-demo/).

= Version 1.6.2 Tuesday, November 25th, 2014 =
 * NEW: Added new Twitter Options page.
 * NEW IN PREMIUM: Twitter Popup for images, Twitter text color options, margins, padding and more.
 * NEW: If you have an SSL image paths are now secure for Instagram and Twitter via https://

= Version 1.6.1 Friday, November 21st, 2014 =
 * NEW: Renamed Feed Them sub menu to say Settings
 * NEW: Added new Facebook Options page.
 * MOVED: Facebook Access token option to the new Facebook Options page.
 * NEW IN PREMIUM: Facebook Popup for images, Facebook Grid style posts,  Facebook text color options, margins, padding and more.

= Version 1.6.0 Friday, November 7th, 2014 =
 * NEW: Feed Them menu icon in the wp-admin area
 * NEW IN PREMIUM: Instagram feed now has option to open photos in pop instead of taking users to Instagram to view large photo.
 * UPDATED: Premium plugin check now ONLY loads on free plugin activation. Not every Page load in dashboard/admin/frontend. (Thanks to wordpress.org user Texiwill for bring to our attention!)
 * CLEANED: Unneeded CSS throughout all feeds.
 * FIXED: Feed them settings page menu not showing with certain other plugins active.

= Version 1.5.9 Friday, October 31st, 2014 =
 * FIXED: Facebook media bugs when having the same feed on one page. ie. fts bar and a page feed. Reduced many lines of code as well.
 * FIXED: Facebook feed scrolling bugs with loadmore posts option enabled in premium version.
 * FIXED: Instagram and Facebook Super Gallery image stacking issue sometimes on page load.
 * FIXED: Twitter @name is now correct and not @real name.
 * NOTE: Premium users should upgrade to vs 1.3.4 as we made changes to fix the twitter shortcode output.

= Version 1.5.8 Saturday, October 18th, 2014 =
 * NEW: Facebook Load More posts option with a button or autoscroll option in premium version. (Twitter and Instagram will be getting this feature soon also)
 * NEW: Facebook Hash Tag Feed
 * NEW: Option to add your own App ID or User Access Token for Facebook. (You can still use the default tokens we have created if you don't want to add custom token.
 * NEW: Instagram Hash Tag Feed
 * FIXED: Facebook line-breaks being removed in premium version
 * FIXED: Twitter max-width:100% defined so now horizontal scroll bars are not created in widgets
 * FIXED: Closed div wrapper when error message shows for Instagram feed
 * ADDED: cURL check on system settings page
 * UPDATED: Facebook Videos now loads with HTML5 player instead of flash player. This makes videos more compatible with Apple and mobile devices.
 * UPDATED: Facebook Video's preview image can now be clicked to play/pause video.

= Version 1.5.7 Saturday, October 11th, 2014 =
 * FIXED: Facebook feed not loading on some servers. Additional cURL checks in place. Thanks to all the users that brought this to our attention.
 * TWEAKS: Twitter CSS. Force wrap date so horizontal scroll bars do not appear with fixed height twitter feeds.

= Version 1.5.6 Saturday, October 4th, 2014 =
 * FIXED: Multiple Facebook hashtags in a row now appear and link properly. Thanks to Steve Walker from [crossfitchamblee](http://crossfitchamblee.com/ ) for bringing this to our attention.
 * FACEBOOK NOTE: Fix has been assigned to the Developers of Facebook for Facebook Groups where ‘Attachment Unavailable’ message keeps appearing on links. Pending follow up. https://developers.facebook.com/bugs/359031327555134
 * NEW: Curl check on system info page

= Version 1.5.5 Thursday, September 27th, 2014 =
 * NEW: Set Height for Twitter Feeds
 * NEW: Set Height for Facebook Feeds
 * NEW: Facebook Albums Photos...adjust width, height and more. Multiple Feeds Allowed.
 * NEW: Facebook Album Cover...adjust width, height and more. Multiple Feeds Allowed.
 * NEW: Twitter Layout
 * NEW: Twitter Photos are now in the feed
 * NEW: Super Instagram Gallery Option...adjust image size and more. Multiple Feeds Allowed.
 * NEW: You can now add Shortcodes to Text Widgets in the FREE Version
 * FIXED: View on Facebook link works on post made from Twitter
 * IMPROVED: Faster loading time on all Feeds
 * NOTE/WARNING: Our custom facebook, twitter and instagram widgets will be removed in the next update because it's just as simple to generate the shortcode from our settings page and paste to a text widget and adjust the options. These 'NEW' options in this update are not available in our widgets. If you would like to use the latest features you will need to generate a new shortcode and paste that into a text widget. The nice thing is each option for the shortcode is cleary named so you can change the option very quickly.

= Version 1.5.4 Wednesday, September 3rd, 2014 =
 * UPDATED: FTS framework to now work on non root installs. **note** Feed Them Premium and FTS Bar will also be getting this update
 * UPDATED: Instagram CSS adjustments
 * UPDATED: Reduced the screenshot images for wordpress preview so now the zip is only 2.3mb

= Version 1.5.3 Sunday, August 31st, 2014 =
 * NEW: functionality for brand new [FTS Bar Extension.](https://www.slickremix.com/downloads/fts-bar/)
 * ADDED: New warning/error messages for Instagram and Facebook feeds.
 * UPDATED: FTS framework now using classes in functions file for easier extending.
 * FIXED: Pinterest cache issue.

= Version 1.5.2 Saturday, August 16th, 2014 =
 * NEW: Settings page now includes a select option of date and time formats for Facebook and Twitter.
 * NEW: Settings page now looks and works great on mobile and tablets.
 * NEW: FTS is now translation ready. Please visit [http://glotpress.slickremix.com/projects](http://glotpress.slickremix.com/projects) to help translate.
 * FIXED: Register settings options properly.

= Version 1.5.1 Thursday, August 14th, 2014 =
 * UPDATED: Curl Method Facebook to batch get information. Super Load Time Increase!

= Version 1.5.0 Thursday, August 14th, 2014 =
 * FIXED: CSS tweaks for facebook, instagram and twitter feeds.
 * FIXED: Now a space will be between twitter @names and #names.

= Version 1.4.9 Thursday, July 31th, 2014 =
 * NEW: New Instagram access token.

= Version 1.4.8 Monday, July 28th, 2014 =
 * FIXED: Plugin updater script will now show updates for Premium version.
 * FIXED: Instagram box styling on hover.
 * FIXED: "View on Facebook" can now be auto-translated.

= Version 1.4.7 Thursday, July 3rd, 2014 =
 * ADDED: PHP 5.3 check on the system info page so users can verify they are using the proper php version. YOU MUST BE RUNNING PHP 5.3 TO USE OUR PREMIUM PLUGIN.

= Version 1.4.6 Monday, June 30th, 2014 =
 * FIXED: Check if users hosting has Safe_mode or open_base url on.

= Version 1.4.5 Monday, June 30th, 2014 =
 * FIXED: Facebook and Instagram now use CURL methods to get feed information from APIs. This gets rid of the conflict FTS users were having with their hosting provider's firewalls blocking FTS feeds from getting information.

= Version 1.4.4 Sunday, June 8th, 2014 =
 * FIXED: Feed Them Social will now work with non-root installs.

= Version 1.4.3 Tuesday, March 20th, 2014 =
 * FIXED: License Manager. If you don't have a premium version for this plugin then you don't need to worry about updating to this version.

= Version 1.4.2 Sunday, March 16th, 2014 =
 * Fixed: Soundcloud url retrieval method for Facebook Feeds.
 * Fixed: Misc. CSS adjustments for Facebook Feeds.

= Version 1.4.1 Thursday, March 13th, 2014 =
 * Fixed: More Twitter feed Errors!
 * Fixed: Cache now clearing Twitter feed cache folder!
 * Added: Better Twitter feed Errors.
 * Added: If twitter cache folder doesnt exists add it!

= Version 1.4.0 Wednesday, March 12th, 2014 =
 * Fixed: Twitter feed Errors!
 * Added: If Twitter feed fails now looking to see if a back up cache exists and show it until new connection is made!

= Version 1.3.9 Saturday, February 22nd, 2014 =
 * Added: New Facebook feeds UI, hope ya'll like it. No more bulky borders or backgrounds, so it looks better on any color site. The Facebook feed looks great on mobile devices too!
 * Added: Facebook feed can now play soundcloud music. Example link on your facebook post for a song... https://soundcloud.com/operator-srl/burning-spear-jungle-remix ...or the full album... https://soundcloud.com/operator-srl
 * Fixed: View on Facebook, like, share and comments links now go to proper facebook post, and not external site link.
 * Fixed: CSS issue for the large Facebook image in firefox and IE.
 * Fixed: CSS issue for twitter min-height in smaller containers.

= Version 1.3.8 Sunday, February 16th, 2014 =
 * Added: 20% off coupon option in the settings page for users who wanted to upgrade to the premium version. Limited Time only!
 * Added: New Facbook icons for like, share and comments on all facebook feeds.
 * Added: Facebook posts with only image show the image larger, not just small thumbnail anymore.
 * Fixed: Powered by text is on by default now.

= Version 1.3.7 Saturday, February 15th, 2014 =
 * Added: Twitter cache folder

= Version 1.3.6 Saturday, February 15th, 2014 =
 * MAJOR FIX: Twitter Feed is now be working. Went down on 1.3.4 update. Sorry to all those we affected.
 * Fixed: Twitter post count works correctly now, and shows up right away too after updating shortcode.
 * Fixed: Facebook likes, comments and shares now show up properly. Facebook made API changes, that's why it went down.
 * Fixed: Links to external sites on facebook feeds are now directed properly.
 * Fixed: UI adjustments for Facebook Feed.
 * Fixed: Facebook output of posts on shortcode now shows properly. Should be posts, not post. This was causing any newly generated feeds to always show 5 and no more, or 20+ if the premium version was active.
 * NEW: Facebook Page Feed now had option to filter posts by everyone or just by the page owner.
 * NEW: Caching system for twitter.
 * NEW: Now you can easily adjust any of our feeds styles using the Custom CSS box on the settings page.
 * NEW: Add Powered by option for all those who want to help promote Feed Them Social. Simple text with link will apear at the bottom of your feeds when this is checked on the settings page.
 * Fixed, Premium Version: Instagram post count not spitting out correctly.
 * Fixed, Premium Version: Facebook Event Feed widget has now been created.

= Version 1.3.5 Tuesday, February 11th, 2014 =
 * MAJOR FIX: Facebook Feeds now are getting the full description text.

= Version 1.3.4 Tuesday, February 11th, 2014 =
 * NEW FEED: Facebook Event Feed. Now you can take your group or page Event ID and enter it on our settings page to create a FB event feed. Promote those events now!
 * Fixed: Twitter function error with multiple feeds on a page.
 * NEW: Facebook feeds now have a wordcount limit.

= Version 1.3.3 Friday, January 10th, 2014 =
 * Updated: UI and new icons for wordpress 3.8 update.

= Version 1.3.2 Wednesday, November 13th, 2013 =
 * Fix: Issue with Clear Cache button not appearing on settings page.

= Version 1.3.1 Wednesday, November 13th, 2013 =
 * Added: Clear All FTS Feeds Cache button to Settings Page. (This helps when you are generating shortcodes with NEW options!)

= Version 1.3.0 Wednesday, October 16th, 2013 =
 * Fixed: Facebook feeds to show proper comment count on each post.
 * Added: Facebook feeds now caches for 15 minutes. Dramatically increases load time.
 * Fixed: Pintrest feed to not conflict with NextGen Gallery plugin.
 * Fixed: Cleaned up some admin styling.
 * Added: Twitter feed now shows links for https, @twittername and #twittertags. Thanks to Cricket Wilson-Harris for the lead on this one.

= Version 1.2.9 Monday, September 9th, 2013 =
 * NEW FEED: Facebook PAGES have been added to the list of awesome feeds you can now display on your site!
 * Updated: Facebook groups feed code to have less code.
 * Fixed: Facebook groups feed code to now filter Events in the feed properly.
 * Removed: Empty boxes from facebook feeds to that are "status" types.

= Version 1.2.8 Sunday, September 3rd, 2013 =
 * MAJOR FIX: Instagram Feed now caches api for 15 minutes. This keeps api key from overloading. NOTE** If for any reason you need to clear the cache please see the plugin's [FAQ documentation](http://wordpress.org/plugins/feed-them-social/faq/).

= Version 1.2.7 Sunday, September 1st, 2013 =
 * MAJOR FIX: Extra div element removed that was causing formatting issues added in 1.2.6 version. This should fix the widget areas as well for the premium version.

= Version 1.2.6 Monday, August 12th, 2013 =
 * Added: Added functionality for Facebook Group premium version. Now you can choose to hide the title or description of your Facebook Group.

= Version 1.2.5 August 2nd, 2013 =
 * Fixed: Facebook Group Feed Number before post error.

= Version 1.2.4 August 2nd, 2013 =
 * Fixed: Facebook Group Feed Likes and Comments grammar issues.

= Version 1.2.3 August 1st, 2013 =
 * Update: Facebook Groups now display the number of likes and comments, if any. Also the see more links the the group and now scrolls to that post. No more searching, thank goodness!
 * Update: Pinterest is now apart of Feed Them Social! Available with the premium version only.

= Version 1.2.2 June 10th, 2013 =
 * Update: Instagram API access token.

= Version 1.2.1 June 5th, 2013 =
 * Fixed: CSS updates for compatibility with Firefox and Chrome on Facebook Group CSS, and Instagram CSS.

= Version 1.2.0 June 4th, 2013 =
 * Fixed: video links broken from 1.1.9 update now fixed to work again.

= Version 1.1.9 June 3rd, 2013 =
 * Updated: Facebook Feed updated to have proper links for "See More" buttons and images.

= Version 1.1.8 February 18th, 2013 =
 * Updated: Twitter Feed updated to API v.1.1. Twitters old API (v1) has been deprecated but this plugin still works.

= Version 1.1.7 February 15th, 2013 =
 * Updated: Instagram, Facebook Group, YouTube, Twitter Feed, and shortcodes now work with widgets in our [Premium Version](https://www.slickremix.com/product/feed-them-social-premium-extension/). CSS styles for all feeds have had minor tweaks, including new styles for widget feeds.
 * Fixed: Spelling of permissions in facebook group feed.
 * We are still working on a twitter solution to all those faithful followers. As of March Twitter will be changing the api for feeds, so a [newer limit will be set on calls](http://arstechnica.com/business/2012/08/new-api-severely-restricts-third-party-twitter-applications/). To many calls to the api an hour from one IP address are most likely the cause for your errors, if you have been experiencing them currently.

= Version 1.1.6 =
 * Updated: Instagram and Twitter feed no longer JS but now PHP! Should help get rid of any js conflicts! (Including conflict with Google Analytics)
 * Fixed: Twitter feed's timestamps.

= Version 1.1.5 =
 * Fixed: bracket causing fatal error.

= Version 1.1.4 =
 * Fixed: Last update Instagram feed setting "# of pics" was removed. Field has now been put back in! (We apologize for any problems this may have caused!).
 * Tested: Works with WordPress 3.5.1.

= Version 1.1.3 =
 * NEW: Added compatibility for YouTube Feed! Video Pop-up is completely HTML5! YouTube settings unlike any other plugin! Update plugin and check them out now!

= Version 1.1.2 =
 * MAJOR FIX: Fixed all feeds shortcodes to insert into post/page instead of output content.(Now lets different multiple feeds on one page work!)

= Version 1.1.1 =
 * MAJOR FIX: Moved css and js to header on feeds
 * FIX: Responsive, tablet and mobile CSS updates for all feeds... especially the Facebook Group Feed which now also includes the missing play button.

= Version 1.1 =
 * MAJOR FIX: Fixed bug keeping feeds from showing! (Fatal Error Bug)

= Version 1.0 =
 * Initial Release
